Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24386

Description

Given that when you preview a virtual layer in DB Manager, that layer is removed from the Layers panel (see #16476), if you inadvertently

click again on that layer in the DB Manager, QGIS hangs on and the mouse pointer becomes a busy one. You can still click on other

layers (after some time) and use the mouse normally. However, the pointer remains in the busy status (which is disturbing) and does not

take the look of any other tool you could select (Identifier, zoom, pan...).

The only solution is to close QGIS.

An error has occurred while executing Python code: 

AttributeError: 'NoneType' object has no attribute 'isValid' 

Traceback (most recent call last):

  File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\\db_manager\\layer_preview.py", line 66, in runPrev

    return self._loadTablePreview(item)

  File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\\db_manager\\layer_preview.py", line 115, in _loadTablePreview

    if not vl.isValid():

AttributeError: 'NoneType' object has no attribute 'isValid'

Python version: 3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 08:06:12) [MSC v.1900 64 bit (AMD64)] 

QGIS version: 2.99.0-Master Master, f1d4ac3

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2018-02-23 05:18 PM - Harrissou Santanna

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- Description updated

This was a side-effect of #16476
